Package fr.gouv.vitam.logbook.common.parameters

# Enum Class LogbookTypeProcess

java.lang.Object
java.lang.Enum<LogbookTypeProcess>
fr.gouv.vitam.logbook.common.parameters.LogbookTypeProcess

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookTypeProcess>`, `Constable`

public enum LogbookTypeProcess extends Enum<LogbookTypeProcess>
Logbook Process Type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARCHIVE_TRANSFER`
  transfer du SIP
  `AUDIT`
  Audit type process
  `BULK_UPDATE`
  Bulk update of archive units.
  `CHECK`
  Check type process
  `COLLECT_DELETION_ACTION`
  Deletion process for collect
  `COLLECT_ELIMINATION_ACTION`
  Elimination process for collect
  `COLLECT_RECLASSIFICATION`
  Reclassification process in collect (attachment/detachment)
  `COLLECT_SIP_INGEST`
  SIP INGEST workflow in a collect transaction
  `COMPUTE_INHERITED_RULES`
  Compute inherited rules process
  `COMPUTE_INHERITED_RULES_DELETE`
  Compute inherited rules process delete
  `DATA_CONSISTENCY_AUDIT`
  Audit de cohérance de données Mongo/ES
  `DATA_MIGRATION`
  Migration
  `DELETE_GOT_VERSIONS`
  Delete GOT versions
  `DESTRUCTION`
  Destruction type process
  `ELIMINATION`
  Elimination process
  `EXPORT_DIP`
  export du DIP
  `EXPORT_PROBATIVE_VALUE`
  Evidence probativevalue export.
  `EXTERNAL_LOGBOOK`
  External uses only.
  `FILINGSCHEME`
  Filing scheme type process (classification plan)
  `HOLDINGSCHEME`
  Holding scheme type process (tree)
  `INGEST`
  Ingest type process
  `INGEST_CLEANUP`
  Ingest cleanup type process
  `INGEST_TEST`
  INGEST (Blank test)
  `INTERNAL_OPERATING_OP`
  `MASS_UPDATE`
  Mass update of archive units.
  `MASTERDATA`
  Rules Manager process
  `PRESERVATION`
  Preservation type process
  `RECLASSIFICATION`
  Reclassification process (attachment/detachment)
  `STORAGE_AGENCIES`
  Storage Rule type process
  `STORAGE_BACKUP`
  Storage Backup type process
  `STORAGE_LOGBOOK`
  Storage logbook type process
  `STORAGE_RULE`
  Storage Rule type process
  `TRACEABILITY`
  traceabiliy type process
  `TRANSFER_REPLY`
  `UPDATE`
  Update process

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LogbookTypeProcess`
  `getLogbookTypeProcess(String type)`
  Get the LogbookTypeProcess matching the given type
  `static LogbookTypeProcess`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookTypeProcess[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INGEST

    public static final LogbookTypeProcess INGEST
    Ingest type process

  - ### INGEST_CLEANUP

    public static final LogbookTypeProcess INGEST_CLEANUP
    Ingest cleanup type process

  - ### AUDIT

    public static final LogbookTypeProcess AUDIT
    Audit type process

  - ### DATA_CONSISTENCY_AUDIT

    public static final LogbookTypeProcess DATA_CONSISTENCY_AUDIT
    Audit de cohérance de données Mongo/ES

  - ### DESTRUCTION

    public static final LogbookTypeProcess DESTRUCTION
    Destruction type process

  - ### PRESERVATION

    public static final LogbookTypeProcess PRESERVATION
    Preservation type process

  - ### CHECK

    public static final LogbookTypeProcess CHECK
    Check type process

  - ### UPDATE

    public static final LogbookTypeProcess UPDATE
    Update process

  - ### MASTERDATA

    public static final LogbookTypeProcess MASTERDATA
    Rules Manager process

  - ### TRACEABILITY

    public static final LogbookTypeProcess TRACEABILITY
    traceabiliy type process

  - ### INGEST_TEST

    public static final LogbookTypeProcess INGEST_TEST
    INGEST (Blank test)

  - ### STORAGE_LOGBOOK

    public static final LogbookTypeProcess STORAGE_LOGBOOK
    Storage logbook type process

  - ### STORAGE_RULE

    public static final LogbookTypeProcess STORAGE_RULE
    Storage Rule type process

  - ### STORAGE_AGENCIES

    public static final LogbookTypeProcess STORAGE_AGENCIES
    Storage Rule type process

  - ### STORAGE_BACKUP

    public static final LogbookTypeProcess STORAGE_BACKUP
    Storage Backup type process

  - ### HOLDINGSCHEME

    public static final LogbookTypeProcess HOLDINGSCHEME
    Holding scheme type process (tree)

  - ### FILINGSCHEME

    public static final LogbookTypeProcess FILINGSCHEME
    Filing scheme type process (classification plan)

  - ### EXPORT_DIP

    public static final LogbookTypeProcess EXPORT_DIP
    export du DIP

  - ### ARCHIVE_TRANSFER

    public static final LogbookTypeProcess ARCHIVE_TRANSFER
    transfer du SIP

  - ### DATA_MIGRATION

    public static final LogbookTypeProcess DATA_MIGRATION
    Migration

  - ### RECLASSIFICATION

    public static final LogbookTypeProcess RECLASSIFICATION
    Reclassification process (attachment/detachment)

  - ### COLLECT_RECLASSIFICATION

    public static final LogbookTypeProcess COLLECT_RECLASSIFICATION
    Reclassification process in collect (attachment/detachment)

  - ### MASS_UPDATE

    public static final LogbookTypeProcess MASS_UPDATE
    Mass update of archive units.

  - ### BULK_UPDATE

    public static final LogbookTypeProcess BULK_UPDATE
    Bulk update of archive units.

  - ### ELIMINATION

    public static final LogbookTypeProcess ELIMINATION
    Elimination process

  - ### COLLECT_ELIMINATION_ACTION

    public static final LogbookTypeProcess COLLECT_ELIMINATION_ACTION
    Elimination process for collect

  - ### COLLECT_DELETION_ACTION

    public static final LogbookTypeProcess COLLECT_DELETION_ACTION
    Deletion process for collect

  - ### EXPORT_PROBATIVE_VALUE

    public static final LogbookTypeProcess EXPORT_PROBATIVE_VALUE
    Evidence probativevalue export.

  - ### EXTERNAL_LOGBOOK

    public static final LogbookTypeProcess EXTERNAL_LOGBOOK
    External uses only.

  - ### COMPUTE_INHERITED_RULES

    public static final LogbookTypeProcess COMPUTE_INHERITED_RULES
    Compute inherited rules process

  - ### TRANSFER_REPLY

    public static final LogbookTypeProcess TRANSFER_REPLY

  - ### COMPUTE_INHERITED_RULES_DELETE

    public static final LogbookTypeProcess COMPUTE_INHERITED_RULES_DELETE
    Compute inherited rules process delete

  - ### INTERNAL_OPERATING_OP

    public static final LogbookTypeProcess INTERNAL_OPERATING_OP

  - ### DELETE_GOT_VERSIONS

    public static final LogbookTypeProcess DELETE_GOT_VERSIONS
    Delete GOT versions

  - ### COLLECT_SIP_INGEST

    public static final LogbookTypeProcess COLLECT_SIP_INGEST
    SIP INGEST workflow in a collect transaction

- ## Method Details

  - ### values

    public static LogbookTypeProcess[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookTypeProcess valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getLogbookTypeProcess

    public static LogbookTypeProcess getLogbookTypeProcess(String type) throws IllegalArgumentException
    Get the LogbookTypeProcess matching the given type
    Parameters:
      `type` -
    Returns:
      a LogbookTypeProcess
    Throws:
      `IllegalArgumentException`